Bug 176003 - Package dependencies on removal broken: scrollkeeper
Summary: Package dependencies on removal broken: scrollkeeper
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-17 06:04 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.94-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 09:21:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kratochvil 2005-12-17 06:04:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Galeon/2.0.0

Description of problem:
# rpm -e transfig dia GConf2 ORBit2 alsa-lib audiofile esound gamin gnome-keyring gnome-mime-data gnome-vfs2 howl howl-libs intltool libbonobo libbonoboui libglade2 libgnome libgnomecanvas libgnomeui redhat-menus scrollkeeper shared-mime-info utempter
/var/tmp/rpm-tmp.90686: line 1: scrollkeeper-update: command not found
error: %postun(dia-0.94-12.fc4.i386) scriptlet failed, exit status 127
# rpm -qv dia scrollkeeper
dia-0.94-12.fc4
package scrollkeeper is not installed
# rpm -e dia
/var/tmp/rpm-tmp.77163: line 1: scrollkeeper-update: command not found
error: %postun(dia-0.94-12.fc4.i386) scriptlet failed, exit status 127


Version-Release number of selected component (if applicable):
dia-0.94-12.fc4

How reproducible:
Always

Steps to Reproduce:
# rpm -e transfig dia GConf2 ORBit2 alsa-lib audiofile esound gamin gnome-keyring gnome-mime-data gnome-vfs2 howl howl-libs intltool libbonobo libbonoboui libglade2 libgnome libgnomecanvas libgnomeui redhat-menus scrollkeeper shared-mime-info utempter
/var/tmp/rpm-tmp.90686: line 1: scrollkeeper-update: command not found
error: %postun(dia-0.94-12.fc4.i386) scriptlet failed, exit status 127


Actual Results:  # rpm -qv dia scrollkeeper
dia-0.94-12.fc4
package scrollkeeper is not installed
# rpm -e dia
/var/tmp/rpm-tmp.77163: line 1: scrollkeeper-update: command not found
error: %postun(dia-0.94-12.fc4.i386) scriptlet failed, exit status 127


Expected Results:  # rpm -qv dia scrollkeeper
package dia is not installed
package scrollkeeper is not installed

Additional info:

.spec contains:
Prereq:         /usr/bin/scrollkeeper-update

But somehow it does not work - maybe to use directly the package name?

Comment 1 Caolan McNamara 2005-12-19 09:21:14 UTC
Requires(post): /usr/bin/scrollkeeper-update
Requires(postun): /usr/bin/scrollkeeper-update

should work better.


Note You need to log in before you can comment on or make changes to this bug.